package com.miaxis.user.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.common.core.domain.entity.UserInfo;

/**
 * 用户Mapper接口
 *
 * @author miaxis
 * @date 2021-08-18
 */
public interface UserInfoMapper extends BaseMapper<UserInfo> {
    /**
     * 查询用户列表
     *
     * @param userInfo 用户
     * @return 用户集合
     */
    public List<UserInfo> selectUserInfoList(UserInfo userInfo);


    List<UserInfo> selectUserByParentOpenid(String openid);

    List<UserInfo> selectUserByList(List<String> collect);
}
